#
# spec file for package perl-IO-Socket-Timeout
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Socket-Timeout
Version:        0.32
Release:        4.1
%define cpan_name IO-Socket-Timeout
Summary:        IO::Socket with read/write timeout
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Socket-Timeout/
Source0:        http://www.cpan.org/authors/id/D/DA/DAMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.039
BuildRequires:  perl(PerlIO::via::Timeout) >= 0.32
BuildRequires:  perl(Test::TCP)
Requires:       perl(PerlIO::via::Timeout) >= 0.32
%{perl_requires}

%description
'IO::Socket' provides a way to set a timeout on the socket, but the timeout
will be used only for connection, not for reading / writing operations.

This module provides a way to set a timeout on read / write operations on
an 'IO::Socket' instance, or any 'IO::Socket::*' modules, like
'IO::Socket::INET'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Oct  4 2015 coolo@suse.com
- updated to 0.32
  see /usr/share/doc/packages/perl-IO-Socket-Timeout/Changes
  0.32      2015-09-29 12:04:23CEST+0200 Europe/Paris
    . Remove test that comes from IO::Socket, is outdated and doesn't server anything. Fixes github issue #5
* Tue Aug  4 2015 coolo@suse.com
- updated to 0.31
  see /usr/share/doc/packages/perl-IO-Socket-Timeout/Changes
  0.31      2015-08-03 16:06:26CEST+0200 Europe/Paris
* Sat Aug  1 2015 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-IO-Socket-Timeout/Changes
  0.30      2015-07-29 08:03:13CEST+0200 Europe/Paris
    . Requires PerlIO::via::Timeout 0.31, that contains a race condition fix
* Sun Jun 14 2015 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-IO-Socket-Timeout/Changes
  0.29      2015-05-13 20:44:41CEST+0200 Europe/Amsterdam
* Wed May 13 2015 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-IO-Socket-Timeout/Changes
  0.28      2015-05-12 20:36:28CEST+0200 Europe/Amsterdam
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-IO-Socket-Timeout/Changes
  0.27      2014-07-30 11:37:59 Europe/Amsterdam
  0.26      2014-07-30 11:36:41 Europe/Amsterdam
    . Fix tests ( gcs )
  0.25      2014-07-04 14:01:19 Europe/Amsterdam
    . FreeBSD compatibility ( Eric Cholet, GH#1 )
* Tue Mar 18 2014 coolo@suse.com
- initial package 0.24
  * created by cpanspec 1.78.07
